class iaas::profile::horizon (
  $public_interface = $iaas::params::public_interface,
  $admin_interface = $iaas::params::admin_interface,

  $secret = $iaas::params::horizon_secret,

  $endpoint_address = $iaas::params::main_address,

  $endpoint_servers = $iaas::params::endpoint_servers,
) {
  class { '::horizon':
    allowed_hosts => '*',
    server_aliases => union([$endpoint_address, $::facts["ipaddress_${public_interface}"]], $endpoint_servers),
    secret_key => $secret,
    cache_server_ip => $::facts["ipaddress_${admin_interface}"],
    keystone_url => "http://${endpoint_address}:5000/v2.0",
    cinder_options => {
      'enable_backup' => true,
    },
    neutron_options => {
      'enable_lb' => true,
      'enable_firewall' => true,
      'enable_vpn' => true,
    },
  }

}
